libraries
Create Company Library
Creates a new library for a company with specified resources and settings.
POST
/
api
/
company
/
libraries
Create Company Library
curl --request POST \
--url https://api.fluid.app/api/company/libraries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"library": {
"title": "<string>",
"affiliate_id": 123,
"library_items_attributes": [
{
"relateable_type": "<string>",
"relateable_id": 123,
"order": 123
}
]
}
}
'import requests
url = "https://api.fluid.app/api/company/libraries"
payload = { "library": {
"title": "<string>",
"affiliate_id": 123,
"library_items_attributes": [
{
"relateable_type": "<string>",
"relateable_id": 123,
"order": 123
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
library: {
title: '<string>',
affiliate_id: 123,
library_items_attributes: [{relateable_type: '<string>', relateable_id: 123, order: 123}]
}
})
};
fetch('https://api.fluid.app/api/company/libraries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Create Company Library
